tstring.h File Reference
`#include <log4cplus/config.hxx>`
`#include <string>`
`#include <log4cplus/tchar.h>`
Include dependency graph for tstring.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Macros

#define | LOG4CPLUS_C_STR_TO_TSTRING(STRING)
#define | LOG4CPLUS_STRING_TO_TSTRING(STRING)
#define | LOG4CPLUS_TSTRING_TO_STRING(STRING)

## Typedefs

typedef std::basic_string< tchar > | log4cplus::tstring

## Functions

std::string | log4cplus::helpers::tostring (char const *str)
std::string | log4cplus::helpers::tostring (std::string const &str)
std::string const & | log4cplus::helpers::tostring (std::string &str)
std::string | log4cplus::helpers::tostring (std::string &&str)
std::wstring | log4cplus::helpers::towstring (wchar_t const *str)
std::wstring | log4cplus::helpers::towstring (std::wstring const &str)
std::wstring const & | log4cplus::helpers::towstring (std::wstring &str)
std::wstring | log4cplus::helpers::towstring (std::wstring &&str)
LOG4CPLUS_EXPORT std::string | log4cplus::helpers::tostring (const std::wstring &)
LOG4CPLUS_EXPORT std::string | log4cplus::helpers::tostring (wchar_t const *)
LOG4CPLUS_EXPORT std::wstring | log4cplus::helpers::towstring (const std::string &)
LOG4CPLUS_EXPORT std::wstring | log4cplus::helpers::towstring (char const *)

## Macro Definition Documentation

## LOG4CPLUS_C_STR_TO_TSTRING

#define LOG4CPLUS_C_STR_TO_TSTRING | ( |  | STRING | ) |

Value:
(std::string(STRING))

Definition at line 119 of file tstring.h.

## LOG4CPLUS_STRING_TO_TSTRING

#define LOG4CPLUS_STRING_TO_TSTRING | ( |  | STRING | ) |

Value:
STRING

Definition at line 120 of file tstring.h.

## LOG4CPLUS_TSTRING_TO_STRING

#define LOG4CPLUS_TSTRING_TO_STRING | ( |  | STRING | ) |

Value:
STRING

Definition at line 121 of file tstring.h.